Tarik Tarik
  • Not too shy to talk
  • Not too shy to talk
  • Joined: 2010/2/3 6:02
  • From Morocco
  • Group: Registered Users
  • Posts: 170
  • Posted on: 2010/11/11 10:20
Hello, problem with install 2.5.0 #1
hello every body,
first congratulation for every body for finally releasing the final version of 2.5.0 so i wanted to install this version but i got this weird error
Could not copy the distribution file to mainfile.php/data/secure.dist.php
i know that the solution is something stupid but i don't what is it
p.s: i gived the permission to all folders and file that required it
Tarik Tarik
  • Not too shy to talk
  • Not too shy to talk
  • Joined: 2010/2/3 6:02
  • From Morocco
  • Group: Registered Users
  • Posts: 170
  • Posted on: 2010/11/11 11:44
Re: Hello, problem with install 2.5.0 #2
i dont know if it would help but if i go throug the install with the error it give me
Warning: include_once(/home/amine/public_html/xoops2.5/class/database/XOOPS_DB_TYPEdatabase.php) [function.include-once]: failed to open streamNo such file or directory in /home/amine/public_html/xoops2.5/install/class/dbmanager.php on line 28  Warning: include_once() [function.include]: Failed opening '/home/amine/public_html/xoops2.5/class/database/XOOPS_DB_TYPEdatabase.php' for inclusion (include_path='.:/usr/share/php:/usr/share/pear'in /home/amine/public_html/xoops2.5/install/class/dbmanager.php on line 28  Warningnotrace:Failed to load database of typeXOOPS_DB_TYPE in file: /home/amine/public_html/xoops2.5/class/database/databasefactory.php at line 97 in /home/amine/public_html/xoops2.5/class/database/databasefactory.php on line 97  Fatal errorCall to a member function setPrefix() on a non-object in /home/amine/public_html/xoops2.5/install/class/dbmanager.php on line 48
Some people like what you do,
-- some people hate what you do,
---- but most people simply don’t give a damn.
ForMusS ForMusS
  • Core Developer
  • Core Developer
  • Joined: 2007/10/19 4:43
  • From France
  • Group: Registered Users
  • Posts: 146
  • Posted on: 2010/11/11 18:07
Re: Hello, problem with install 2.5.0 #3
Hello,

Check your server configuration, because you have some problem with your path.

MusS
Tarik Tarik
  • Not too shy to talk
  • Not too shy to talk
  • Joined: 2010/2/3 6:02
  • From Morocco
  • Group: Registered Users
  • Posts: 170
  • Posted on: 2010/11/11 18:36
Re: Hello, problem with install 2.5.0 #4
o_O what configuration do you mean php version?
i work on a local
and besides there is an installed xoops 2.4.5 in a another folder
could it be that the name of the folder is "xoops2.5"
Some people like what you do,
-- some people hate what you do,
---- but most people simply don’t give a damn.
ghia ghia
  • Community Support Member
  • Community Support Member
  • Joined: 2008/7/3 15:19
  • From Belgium
  • Group: Registered Users
  • Posts: 4946
  • Posted on: 2010/11/11 21:02
Re: Hello, problem with install 2.5.0 #5
No, I think it is still related with your first post.
With 2.5.0, the database credentials in mainfile.php are moved to /xoops_data/data/secure.php and then included.
It seems there was a problem (maybe directory and file did not have the correct permissions set).
You can try to correct this manually (use the xxxx.dist.php files as example).
How to effectively post a question in the Xoops forums? - Read here...
Design by: XOOPS UI/UX Team